/// @access private
$shadows: (
	'modal': 0 2px 60px rgba(0, 0, 0, 0.2),
);

/// Get shadow
/// @param {string} $token - Name of shadow.
@function shadow($token: 'fallback') {
	@return get-token($shadows, $token);
}

/// Get shadow as CSS Variables.
/// @param {string} $token - Name of shadow.
@function var-shadow($token) {
	@return var-token($map: $shadows, $token: $token);
}

/// Mixin to unpack all shadow tokens. Similar behavior to colors--()
/// @link https://www.oddbird.net/accoutrement/docs/color-vars.html#mixin--colors--
@mixin shadows--() {
	@include tokens--($map: $shadows, $prefix: 'shadow-');
}

/// Mixin to unpack one shadow token. Similar behavior to color--()
/// @link https://www.oddbird.net/accoutrement/docs/color-vars.html#mixin--color--
@mixin shadow--($name) {
	@include token--($map: $shadows, $prefix: 'shadow-');
}
